import { html, ref, when } from "@microsoft/fast-element";
/**
 * The template for the {@link @microsoft/fast-foundation#(FASTSliderLabel:class)} component.
 * @public
 */
export function sliderLabelTemplate() {
    return html `
        <template aria-disabled="${x => x.disabled}">
            <div
                ${ref("container")}
                part="container"
                class="container"
                style="${x => x.positionStyle}"
            >
                ${when(x => !x.hideMark, html `
                        <div class="mark" part="mark"></div>
                    `)}
                <span class="content" part="content">
                    <slot></slot>
                </span>
            </div>
        </template>
    `;
}
